[FFmpeg-devel] [PATCH] Add versioning information to dlls

Diego Biurrun diego
Fri May 30 20:11:36 CEST 2008

On Fri, May 30, 2008 at 01:38:55PM -0400, Jeremy Kolb wrote:
> Diego Biurrun wrote:
> > On Fri, May 30, 2008 at 11:47:56AM -0400, Jeremy Kolb wrote:
> >   
> >> Diego Biurrun wrote:
> >>     
> >>> Let's see an updated patch, this discussion is too theoretical.
> >>>       
> >> Here you go.  It works for me though I get some warnings about the  
> >> version.h rule in subdir.mak (which I'm now generating in each of the  
> >> subdirectories that need it), not sure how to cleanly fix that.
> >
> > Why are you doing that?  It is clearly wrong.
> Because I don't know the correct fix.  The rule for version.h is only in 
> the top level makefile so if anything depends on version.h and you issue 
> a make from a subdirectory you will get errors.

OK, I'm beginning to understand the problem.  Next time, please post any
errors you get, this makes things clearer.

Try moving the two rules for version.h to common.mak:37.  That should do
the trick.


More information about the ffmpeg-devel mailing list